package com.example.kdan_data_center

import com.example.kdan_data_center.datacenter.DataCenter
import okhttp3.OkHttpClient
import retrofit2.Retrofit
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory
import retrofit2.converter.gson.GsonConverterFactory

class KdanCloud {
    companion object {
          var ENV_DEV = false
    }

    val dataCenter = DataCenter(this)

    fun getRetrofit(baseUrl: String): Retrofit =
            Retrofit.Builder()
                    .addCallAdapterFactory(RxJava2CallAdapterFactory.create())
                    .addConverterFactory(GsonConverterFactory.create())
                    .client(provideOkHttpClient())
                    .baseUrl(baseUrl)
                    .build()

    private fun provideOkHttpClient(): OkHttpClient =
            OkHttpClient.Builder().build()
}