package com.example.kdan_data_center.datacenter.file.body

import com.google.gson.annotations.SerializedName


data class UploadMissionBody(
        @SerializedName("project_name") val projectName: String,
        @SerializedName("app_bundle_id") val appBundleId: String
) {
    @SerializedName("object_type") var objectType: String? = null
    @SerializedName("bucket_name") var bucketName: String? = null
    @SerializedName("project_id") var projectId: String? = null
    @SerializedName("full_path") var fullPath: String? = null
    @SerializedName("parent_id") var parentId: Int? = null
    @SerializedName("extimate_size") var extimateSize: Int? = null
    @SerializedName("cover_name") var coverName: String? = null
    @SerializedName("platform") var platform: String? = null
    @SerializedName("current_app_version") var currentAppVersion: Long? = null
    @SerializedName("data_format_version") var dataFormatVersion: Int? = null
    @SerializedName("source_group") var sourceGroup: String? = null
    @SerializedName("project_created_at") var projectCreatedAt: String? = null
    @SerializedName("password_protected") var passwordProtected: Boolean? = null
    @SerializedName("share_with_pdf") var shareWithPdf: Boolean? = null
    @SerializedName("category") var category: String? = null
    @SerializedName("verify_type") var verifyType: String? = null
    @SerializedName("verify_info") var verifyInfo: VerifyInfo? = null

    data class VerifyInfo(
            @SerializedName("password") val password: String?,
            @SerializedName("expires_at") val expiresAt: String?
    )
}